Subject: No incremental undo in vi mode
From: Michael Giuffrida <[email-masked]>
To: [email-masked]
Date: Sat, 27 Feb 2016 06:35:45 +0000
List-Id: Zsh Workers List <zsh-workers.zsh.org>

When using vi bindings, my understanding is that `C-_` should trigger
readline's undo behavior, as should `u` when in command mode.[1]

In emacs mode, and in bash (emacs mode or vi mode), this works as expected:
`C-_` performs incremental undo (e.g., removes the last typed character, or
restores the line to the previous text after expanding a glob via Tab).

In zsh in vi mode, it just clears the whole line. So it's not useful for
undoing the effect of glob expansion or other tab completion.

Is this a bug or am I doing something wrong? Apologies in advance if this
is a silly question. I'm brand new to zsh and couldn't figure this out
through man pages, searching, mailing list archives, patches, or release
notes...

[1] http://zsh.sourceforge.net/Guide/zshguide06.html

zsh 5.0.5 (x86_64-pc-linux-gnu)
GNU Readline 6.3